<?php

function MarkdownEntities($markdown) {
    // 对markdown中的内容进行转义
    $markdown = preg_replace_callback('/\$\$(.*?)\$\$/s', function ($matches) {
        return str_replace(['<', '>'], ['\\lt', '\\gt'], $matches[0]);
    }, $markdown);
    return $markdown;
}
